%define api		3
%define major		0
%define gir_major	3.0

%define libname		%mklibname gweather 3 %{major}
%define develname	%mklibname -d gweather
%define girname		%mklibname gweather-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME Weather applet library
Name:		libgweather
Version:	3.4.1
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org
BuildRequires:	pkgconfig(gconf-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.0
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.25.1
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	glib2-devel >= 2.13.0
BuildRequires:	intltool >= 0.40.6
BuildRequires:	libxml2-utils
BuildRequires:	gobject-introspection-devel >= 0.10.5

%description
This is a library to provide Weather data to the GNOME panel applet.

%package -n %{libname}
Group:		System/Libraries
Summary:	GNOME Weather applet library
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	%{_lib}gweather-3_0 < 3.2.0

%description -n %{libname}
This is a library to provide Weather data to the GNOME panel applet.

%package -n %{develname}
Group:		Development/C
Summary:	GNOME Weather applet library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{mklibname -d gweather} = %{version}-%{release}
Obsoletes:	%{mklibname -d gweather} < 3.1.3
Obsoletes:	%{mklibname -d gnome-applets} < 2.21.3
Obsoletes:	%{_lib}gweather-3-devel < 3.2.0

%description -n %{develname}
This is a library to provide Weather data to the GNOME panel applet.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Obsoletes:	%{_lib}gweather-3-gir3.0 < 3.2.0

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--enable-introspection=yes \
	--disable-static \
	--disable-gtk-doc 
%make 

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --all-name

# we don't want these
find %{buildroot} -name '*.la' -exec rm -f {} ';'

for xmlfile in  %{buildroot}%{_datadir}/%{name}/Locations.*.xml; do
echo "%lang($(basename $xmlfile|sed -e s/Locations.// -e s/.xml//)) $(echo $xmlfile | sed s!%buildroot!!)" >> %{name}.lang
done

%clean
rm -rf %{buildroot}

%preun
%preun_uninstall_gconf_schemas gweather

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/gweather.schemas
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/Locations.xml
%{_datadir}/%{name}/locations.dtd
%{_datadir}/icons/gnome/*/status/weather*

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgweather-%{api}.so.%{major}*

%files -n %{girname}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GWeather-%{gir_major}.typelib

%files -n %{develname}
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gtk-doc/html/%{name}-3.0
%{_datadir}/gir-1.0/GWeather-%{gir_major}.gir


%changelog

* Fri Mar 09 2012 fwang <fwang> 3.4.1-1.mga2
+ Revision: 222077
- new version 3.4.1

* Fri Mar 09 2012 fwang <fwang> 3.4.0-1.mga2
+ Revision: 221910
- drop invalid obsoletes
- fix linkage
- new version 3.4.0

* Thu Oct 27 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 158822
- new version 3.2.1
- enable introspection for sure
- don't list some files twice in files section

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148658
- br xmllint
- new version 3.2.0

* Tue Jul 05 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 118796
- new version 3.1.3
- fix libification
- create a subpackage for gir .typelib
- clean .spec a bit

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 101926
- Fix languages file lists
- Remove unpackaged .a files
- Fix buildrequires
- Fix to build with gtk3
- New version 3.0.2

* Sun Jan 16 2011 pterjan <pterjan> 2.30.3-1.mga1
+ Revision: 20498
- Drop obsolete scriptlets and conflict
- imported package libgweather

